From: Jonathan Brassow <jbrassow@redhat.com>

dm-log-userspace: use kzalloc instead of kmalloc (plus some comment fixes)

Signed-off-by: Jonathan Brassow <jbrassow@redhat.com>

---

FIXME - Why? Is the kzalloc bit a bugfix for stable?  Is it necessary? Should
it be merged into the next patch?

 Documentation/device-mapper/dm-log.txt |    2 +-
 drivers/md/dm-log-userspace-base.c     |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

Index: linux/Documentation/device-mapper/dm-log.txt
===================================================================
--- linux.orig/Documentation/device-mapper/dm-log.txt
+++ linux/Documentation/device-mapper/dm-log.txt
@@ -48,7 +48,7 @@ kernel and userspace, 'connector' is use
 communication.
 
 There are currently two userspace log implementations that leverage this
-framework - "clustered_disk" and "clustered_core".  These implementations
+framework - "clustered-disk" and "clustered-core".  These implementations
 provide a cluster-coherent log for shared-storage.  Device-mapper mirroring
 can be used in a shared-storage environment when the cluster log implementations
 are employed.
Index: linux/drivers/md/dm-log-userspace-base.c
===================================================================
--- linux.orig/drivers/md/dm-log-userspace-base.c
+++ linux/drivers/md/dm-log-userspace-base.c
@@ -146,7 +146,7 @@ static int build_constructor_string(stru
  *	<UUID> <other args>
  * Where 'other args' is the userspace implementation specific log
  * arguments.  An example might be:
- *	<UUID> clustered_disk <arg count> <log dev> <region_size> [[no]sync]
+ *	<UUID> clustered-disk <arg count> <log dev> <region_size> [[no]sync]
  *
  * So, this module will strip off the <UUID> for identification purposes
  * when communicating with userspace about a log; but will pass on everything
@@ -167,7 +167,7 @@ static int userspace_ctr(struct dm_dirty
 		return -EINVAL;
 	}
 
-	lc = kmalloc(sizeof(*lc), GFP_KERNEL);
+	lc = kzalloc(sizeof(*lc), GFP_KERNEL);
 	if (!lc) {
 		DMWARN("Unable to allocate userspace log context.");
 		return -ENOMEM;
